Subject: Re: [PATCH] net: phy: smsc: Re-enable EDPD mode for LAN87xx

From: Marek Vasut <[email-masked]>
Date: Fri, 16 Nov 2012 01:04:33 +0100

Dear David Miller,

> From: Patrick Trantham <[email-masked]>
> Date: Thu, 15 Nov 2012 13:00:57 -0600
> 
> > This patch re-enables Energy Detect Power Down (EDPD) mode for the
> > LAN8710/LAN8720.  EDPD mode was disabled in a previous commit,
> > (b629820d18fa65cc598390e4b9712fd5f83ee693), because it was causing the
> > PHY to not be able to detect a link when cold started without a cable
> > connected.
> > 
> > The LAN8710/LAN8720 requires a minimum of 2 link pulses within 64ms of
> > each other in order to set the ENERGYON bit and exit EDPD mode.  If a
> > link partner does send the pulses within this interval, the PHY will
> > remained powered down.
> > 
> > This workaround will manually toggle the PHY on/off upon calls to
> > read_status in order to generate link test pulses if the link is down.
> > If a link partner is present, it will respond to the pulses, which will
> > cause the ENERGYON bit to be set and will cause the EDPD mode to be
> > exited.
> > 
> > Signed-off-by: Patrick Trantham <[email-masked]>
> 
> Applied to net-next, thanks.

Can you please wait a bit until it gets a few tests ?

Best regards,
Marek Vasut